Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "e1b3e0a0-309e-4122-9f71-47c18923f15e",
"purchase_order_id": "eeaef7b3-2764-4341-a315-ed3cbd8009f2",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "efd78c80-74f7-447c-b10d-aeb2e674ff70",
"id2": 2,
"jobs_id": "a3d3b44f-6839-4947-90e2-7b306f3a693e",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "80d1cd63-281f-4092-9989-fc86d7c0c70f",
"supplier_company_code": "sample string 6",
"user_id": "62495706-679c-412d-a28d-c487b97bd6f5",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-24T07:00:18.731373+00:00",
"date_update": "2026-10-24T07:00:18.731373+00:00",
"date_delivery": "2026-10-24T07:00:18.731373+00:00",
"confirmed_date_delivery": "2026-10-24T07:00:18.731373+00:00",
"delivery_db_address_id": "e0fcda6c-9143-4160-a2a5-093eba990e77",
"approved_by_user_id": "8ab562cd-5cba-40ae-8b7f-6212992fd21e",
"approved_by_user_code": "sample string 18",
"technical_user_id": "6c1a6c53-6f63-44f0-ba9d-21484422757d",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "9a18cdb9-4533-4567-8d4c-6f7c27754d57",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "99890e02-7396-4c22-a139-15e14e6b0c81",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-24T07:00:18.731373+00:00"
},
"article_id": "84ef04a9-5bf2-438e-9e97-07dc7d40cc82",
"article_code": "sample string 5",
"article": {
"id": "fc5572fe-e0a2-439e-abcd-7efe9c9356ea",
"article_category_id": "b05df9e9-16f3-421b-9c83-132407c92473",
"article_category": {
"id": "1a353185-64a3-4e80-81db-e2dc70d055da",
"parent_id": "7cf3dd8c-a6e0-4d18-a2a7-87a9c5a214b9",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-24T07:00:18.7474683+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "42a3454a-9632-481d-b06c-715f73b39195",
"article_group_1_code": "sample string 5",
"article_group_2_id": "07ea5d28-6f2f-450e-b32e-00bd220307fe",
"article_group_2_code": "sample string 7",
"article_group_3_id": "1edf1c89-d7d4-4b3b-9bbb-646dca7d3295",
"article_group_3_code": "sample string 9",
"article_group_4_id": "71fab56f-19e5-41d5-8742-c0f8c05b3c87",
"article_group_4_code": "sample string 11",
"article_group_5_id": "1e10c8a6-6ac4-4051-a616-88f95664c1ca",
"article_group_5_code": "sample string 13",
"article_group_6_id": "a7d4d439-cbd6-466a-928b-dc5ea040ac8d",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-24T07:00:18.7474683+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-24T07:00:18.7474683+00:00",
"date_update": "2026-10-24T07:00:18.7474683+00:00",
"modified_dateutc": "2026-10-24T07:00:18.7474683+00:00",
"article_color_id": "8b7da47e-17d0-49ad-a92c-e686cf707ca5",
"article_color_code": "sample string 38",
"article_color": {
"id": "5c5bbd57-8dba-4e0d-b64e-784ade802896",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-24T07:00:18.7474683+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "59d190ec-a8c4-4b29-9aa2-6d031fcbf4e3",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "b34dd55b-298d-4fac-a14a-786a041bf403",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-24T07:00:18.7474683+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.